Bug 828621 - SELinux is preventing accounts-daemon from 'search' accesses on the directory samba.
SELinux is preventing accounts-daemon from 'search' accesses on the directory...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:1e2f798650ef59c43474e9f88a8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 22:58 EDT by Robert Foster
Modified: 2012-06-22 06:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-22 06:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Foster 2012-06-04 22:58:22 EDT
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.3.7-1.fc17.x86_64
time:           Tue 05 Jun 2012 12:58:05 PM EST

description:
:SELinux is preventing accounts-daemon from 'search' accesses on the directory samba.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that accounts-daemon should be allowed search access on the samba directory by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep accounts-daemon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:accountsd_t:s0
:Target Context                system_u:object_r:smbd_var_run_t:s0
:Target Objects                samba [ dir ]
:Source                        accounts-daemon
:Source Path                   accounts-daemon
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           accountsservice-0.6.18-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed)
:                              3.3.7-1.fc17.x86_64 #1 SMP Mon May 21 22:32:19 UTC
:                              2012 x86_64 x86_64
:Alert Count                   5
:First Seen                    Tue 05 Jun 2012 10:40:36 PM EST
:Last Seen                     Tue 05 Jun 2012 12:42:02 PM EST
:Local ID                      555c6a25-cbcd-420e-8df5-e6e1694ea65f
:
:Raw Audit Messages
:type=AVC msg=audit(1338864122.758:71): avc:  denied  { search } for  pid=878 comm="accounts-daemon" name="samba" dev="tmpfs" ino=11212 scontext=system_u:system_r:accountsd_t:s0 tcontext=system_u:object_r:smbd_var_run_t:s0 tclass=dir
:
:
:type=SYSCALL msg=audit(1338864122.758:71): arch=x86_64 syscall=lstat success=no exit=EACCES a0=7fdb071e6a2c a1=7fffb08144f0 a2=7fffb08144f0 a3=11 items=0 ppid=1 pid=878 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=accounts-daemon exe=/usr/libexec/accounts-daemon subj=system_u:system_r:accountsd_t:s0 key=(null)
:
:Hash: accounts-daemon,accountsd_t,smbd_var_run_t,dir,search
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-06-05 11:08:57 EDT
Did you setup winbind for user resolution?
Comment 2 Robert Foster 2012-06-05 21:21:22 EDT
That's what I was attempting to do... installed what looked  like the necessary packages and then went to authentication to configure it (tried joining the domain) and got notifications about the policy exceptions...

Note You need to log in before you can comment on or make changes to this bug.